summaryrefslogtreecommitdiffstats
path: root/abrt.init
diff options
context:
space:
mode:
authorDenys Vlasenko <dvlasenk@redhat.com>2011-01-19 16:13:18 +0100
committerDenys Vlasenko <dvlasenk@redhat.com>2011-01-19 16:13:18 +0100
commit3b4dbe6345b43411a3206ef728d5810b2197511d (patch)
tree10ab0a3ddf6ebd02df95f9b6bc1e4d7c0e17fb05 /abrt.init
parentb3330ba6dccd65f4d0bef843e092f4c0f2c56c7f (diff)
downloadabrt-3b4dbe6345b43411a3206ef728d5810b2197511d.tar.gz
abrt-3b4dbe6345b43411a3206ef728d5810b2197511d.tar.xz
abrt-3b4dbe6345b43411a3206ef728d5810b2197511d.zip
abrtd: trivial changes to make init script more correct wrt whitespace
Signed-off-by: Denys Vlasenko <dvlasenk@redhat.com>
Diffstat (limited to 'abrt.init')
-rw-r--r--abrt.init23
1 files changed, 8 insertions, 15 deletions
diff --git a/abrt.init b/abrt.init
index dde5950d..70550e60 100644
--- a/abrt.init
+++ b/abrt.init
@@ -27,26 +27,21 @@ RETVAL=0
#export http_proxy=
#export https_proxy=
-#
-# See how we were called.
-#
-
check() {
# Check that we're a privileged user
[ "`id -u`" = 0 ] || exit 4
# Check if abrt is executable
- test -x $ABRT_BIN || exit 5
+ test -x "$ABRT_BIN" || exit 5
}
start() {
-
check
# Check if it is already running
- if [ ! -f $LOCK ] && [ ! -f $OLD_LOCK ]; then
+ if [ ! -f "$LOCK" ] && [ ! -f "$OLD_LOCK" ]; then
echo -n $"Starting abrt daemon: "
- daemon $ABRT_BIN
+ daemon "$ABRT_BIN"
RETVAL=$?
[ $RETVAL -eq 0 ] && touch $LOCK
echo
@@ -55,19 +50,17 @@ start() {
}
stop() {
-
check
echo -n $"Stopping abrt daemon: "
- killproc $ABRT_BIN
+ killproc "$ABRT_BIN"
RETVAL=$?
- [ $RETVAL -eq 0 ] && rm -f $LOCK
- [ $RETVAL -eq 0 ] && rm -f $OLD_LOCK
+ [ $RETVAL -eq 0 ] && rm -f "$LOCK"
+ [ $RETVAL -eq 0 ] && rm -f "$OLD_LOCK"
echo
return $RETVAL
}
-
restart() {
stop
start
@@ -95,11 +88,11 @@ restart)
restart
;;
condrestart)
- if [ -f $LOCK ]; then
+ if [ -f "$LOCK" ]; then
restart
fi
# update from older version
- if [ -f $OLD_LOCK ]; then
+ if [ -f "$OLD_LOCK" ]; then
restart
fi
;;